ADD_TO_PAGE_CACHE_LO(9)

NAME
add_to_page_cache_locked - add a locked page to the pagecache

SYNOPSIS

int add_to_page_cache_locked(struct page * page, struct address_space * mapping, pgoff_t offset, gfp_t gfp_mask);

ARGUMENTS

page
    page to add

mapping
    the page's address_space

offset
    page index

gfp_mask
    page allocation mode

DESCRIPTION

This function is used to add a page to the pagecache. It must be locked. This function does not add the page to the LRU. The caller must do that.

COPYRIGHT